Bug 1252603 - sddm-greeter crashing in i915_dri.so
sddm-greeter crashing in i915_dri.so
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
21
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 17:13 EDT by Orion Poplawski
Modified: 2015-12-02 13:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:54:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-08-11 17:13:59 EDT
Description of problem:

sddm-greeter is crashing on startup.

(gdb) bt
#0  0x00000000 in ?? ()
#1  0xb29f1ac5 in run_vertex_stage (ctx=0x80c5639c, stage=0x80cb7420)
    at ../../src/mesa/tnl/t_vb_vertex.c:189
#2  0xb29e4184 in _tnl_run_pipeline (ctx=ctx@entry=0x80c5639c)
    at ../../src/mesa/tnl/t_pipeline.c:163
#3  0xb2b693b3 in intelRunPipeline (ctx=0x80c5639c) at intel_tris.c:1097
#4  0xb29e4acb in _tnl_draw_prims (ctx=0x80c5639c, prim=0xbfe99900, nr_prims=1, ib=0xbfe998f0, 
    index_bounds_valid=0 '\000', min_index=0, max_index=3, tfb_vertcount=0x0, indirect=0x0)
    at ../../src/mesa/tnl/t_draw.c:517
#5  0xb29c85f9 in vbo_validated_drawrangeelements (ctx=ctx@entry=0x80c5639c, mode=mode@entry=5, 
    index_bounds_valid=index_bounds_valid@entry=0 '\000', start=start@entry=4294967295, 
    end=end@entry=4294967295, count=count@entry=6, type=type@entry=5123,
    indices=indices@entry=0x40, basevertex=basevertex@entry=0,
    numInstances=numInstances@entry=1, baseInstance=baseInstance@entry=0)
    at ../../src/mesa/vbo/vbo_exec_array.c:991
#6  0xb29c8c3a in vbo_exec_DrawElements (mode=5, count=6, type=5123, indices=0x40)
    at ../../src/mesa/vbo/vbo_exec_array.c:1127
#7  0xb5f63a4e in glDrawElements (mode=5, count=6, type=5123, indices=0x40)
    at ../../src/mapi/glapi/glapi_mapi_tmp.h:3726
#8  0xb73a8529 in glDrawElements (indices=<optimized out>, type=5123, count=<optimized out>,
    mode=<optimized out>, this=0x80cce5ac) at /usr/include/qt5/QtGui/qopenglfunctions.h:726
#9  QSGBatchRenderer::Renderer::renderMergedBatch (this=0x80cce4f0, batch=0x80e504c8)
    at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/coreapi/qsgbatchrenderer.cpp:2235
#10 0xb73a9d10 in QSGBatchRenderer::Renderer::renderBatches (this=this@entry=0x80cce4f0)
    at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/coreapi/qsgbatchrenderer.cpp:2417
#11 0xb73af0d8 in QSGBatchRenderer::Renderer::render (this=0x80cce4f0)
    at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/coreapi/qsgbatchrenderer.cpp:2590
#12 0xb73bb021 in QSGRenderer::renderScene (this=this@entry=0x80cce4f0, bindable=...)
    at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/coreapi/qsgrenderer.cpp:206
#13 0xb73bb693 in QSGRenderer::renderScene (this=0x80cce4f0, fboId=0)
    at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/coreapi/qsgrenderer.cpp:168
#14 0xb73cc620 in QSGRenderContext::renderNextFrame (this=0x80b119e0, renderer=0x80cce4f0,
    fboId=0)
    at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/qsgcontext.cpp:554
#15 0xb7422037 in QQuickWindowPrivate::renderSceneGraph (this=this@entry=0x80b09c40, size=...)
    at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/items/qquickwindow.cpp:381
#16 0xb73ea4b5 in QSGGuiThreadRenderLoop::renderWindow (this=this@entry=0x80b13270,
    window=0x80b09180)
    at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/qsgrenderloop.cpp:364
#17 0xb73eb353 in QSGGuiThreadRenderLoop::event (this=0x80b13270, e=0xbfe9a06c)
    at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/qsgrenderloop.cpp:462
#18 0xb65787a8 in QCoreApplicationPrivate::notify_helper (this=0x80ade470, receiver=0x80b13270,
    event=0xbfe9a06c) at kernel/qcoreapplication.cpp:1052
#19 0xb6578830 in QCoreApplication::notify (this=this@entry=0xbfe9a34c,
    receiver=receiver@entry=0x80b13270, event=event@entry=0xbfe9a06c)
    at kernel/qcoreapplication.cpp:997
#20 0xb68808ae in QGuiApplication::notify (this=0xbfe9a34c, object=0x80b13270, event=0xbfe9a06c)
    at kernel/qguiapplication.cpp:1528
#21 0xb6578985 in QCoreApplication::notifyInternal (this=0xbfe9a34c, receiver=0x80b13270,
    event=event@entry=0xbfe9a06c) at kernel/qcoreapplication.cpp:935
#22 0xb65d7fa9 in sendEvent (event=0xbfe9a06c, receiver=<optimized out>)
    at ../../src/corelib/kernel/qcoreapplication.h:228
#23 QTimerInfoList::activateTimers (this=this@entry=0x80afc964)
    at kernel/qtimerinfo_unix.cpp:635
#24 0xb65d85f9 in timerSourceDispatch (source=0x80afc930)
    at kernel/qeventdispatcher_glib.cpp:177
#25 0xb407d1d3 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#26 0xb407d598 in g_main_context_iterate.isra () from /lib/libglib-2.0.so.0
#27 0xb407d669 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#28 0xb65d94d8 in QEventDispatcherGlib::processEvents (this=this@entry=0x80afd100, flags=...,
    flags@entry=...) at kernel/qeventdispatcher_glib.cpp:418
---Type <return> to continue, or q <return> to quit---
#29 0xb3a70ae7 in QPAEventDispatcherGlib::processEvents (this=0x80afd100, flags=...)
    at eventdispatchers/qeventdispatcher_glib.cpp:115
#30 0xb6575607 in QEventLoop::processEvents (this=this@entry=0xbfe9a2c8, flags=...,
    flags@entry=...) at kernel/qeventloop.cpp:128
#31 0xb6575a8c in QEventLoop::exec (this=this@entry=0xbfe9a2c8, flags=flags@entry=...)
    at kernel/qeventloop.cpp:204
#32 0xb657e49a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1188
#33 0xb687b1b5 in QGuiApplication::exec () at kernel/qguiapplication.cpp:1507
#34 0x800b7c3f in main (argc=5, argv=0xbfe9a434)
    at /usr/src/debug/sddm-0.10.0/src/greeter/GreeterApp.cpp:185

(gdb) list
184        store->ormask = 0;
185        store->andmask = CLIP_FRUSTUM_BITS;
186
187        if (tnl->NeedNdcCoords) {
188           VB->NdcPtr =
189              _mesa_clip_tab[VB->ClipPtr->size]( VB->ClipPtr,
190                                                 &store->proj,
191                                                 store->clipmask,
192                                                 &store->ormask,
193                                                 &store->andmask,
(gdb) print VB->ClipPtr->size
$3 = 1
(gdb) print _mesa_clip_tab[1]
$4 = (clip_func) 0x0
(gdb) print _mesa_clip_tab[0]
$5 = (clip_func) 0x0

Version-Release number of selected component (if applicable):
mesa-dri-drivers-10.4.7-1.20150323.fc21.i686
sddm-0.10.0-3.fc21.i686

00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller (rev 02)

How reproducible:
Every time
Comment 1 Orion Poplawski 2015-08-11 18:05:23 EDT
I don't get the segfault if I start sddm from a ssh session.  I do if started with systemd.

Also seeing it on another 32-bit machine with the same graphics controller.
Comment 2 Fedora End Of Life 2015-11-04 05:53:14 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-12-02 09:54:29 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.